Vault.ConstraintInfo
Keywords: net.corda.core.node.services.Vault.ConstraintInfo class
Date: 2023-09-18

net.corda.core.node.services

## Class Vault.ConstraintInfo

- net.corda.core.node.services.Vault.ConstraintInfo

- Enclosing class:
    Vault<T extends ContractState>

      public static class Vault.ConstraintInfo

  Contract constraint information associated with a `interface ContractState`. See `interface AttachmentConstraint`

  See Also:
    `interface ContractState`, `interface AttachmentConstraint`

- - ### Field Detail

    - #### Companion

          public static net.corda.core.node.services.Vault.ConstraintInfo.Companion Companion

  - ### Constructor Detail

    - #### ConstraintInfo

          public ConstraintInfo(@NotNull
                                AttachmentConstraint constraint)

      Contract constraint information associated with a `interface ContractState`. See `interface AttachmentConstraint`

      See Also:
        `interface ContractState`, `interface AttachmentConstraint`

  - ### Method Detail

    - #### type

          @NotNull
          public net.corda.core.node.services.Vault.ConstraintInfo.Type type()

    - #### data

          @Nullable
          public kotlin.Array[] data()

    - #### getConstraint

          @NotNull
          public AttachmentConstraint getConstraint()

    - #### component1

          @NotNull
          public AttachmentConstraint component1()

    - #### copy

          @NotNull
          public net.corda.core.node.services.Vault.ConstraintInfo copy(@NotNull
                                                                                 AttachmentConstraint constraint)

      Contract constraint information associated with a `interface ContractState`. See `interface AttachmentConstraint`

      See Also:
        `interface ContractState`, `interface AttachmentConstraint`

    - #### toString

          @NotNull
          public java.lang.String toString()

      Contract constraint information associated with a `interface ContractState`. See `interface AttachmentConstraint`

      See Also:
        `interface ContractState`, `interface AttachmentConstraint`

    - #### hashCode

          public int hashCode()

      Contract constraint information associated with a `interface ContractState`. See `interface AttachmentConstraint`

      See Also:
        `interface ContractState`, `interface AttachmentConstraint`

    - #### equals

          public boolean equals(@Nullable
                                java.lang.Object p)

      Contract constraint information associated with a `interface ContractState`. See `interface AttachmentConstraint`

      See Also:
        `interface ContractState`, `interface AttachmentConstraint`